CREATE TABLE jv_contributions_b (
    CONTRIBUTION_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    JOINT_VENTURE_ID               NUMBER(18, 0)     NOT NULL,
    STAKEHOLDER_ID                 NUMBER(18, 0)     NOT NULL,
    START_DATE                     DATE              NOT NULL,
    SEQUENCE_NUMBER                NUMBER(3, 0)      NOT NULL,
    CONTRIBUTION_AMOUNT            NUMBER        ,
    CONTRIBUTION_OPEN_AMOUNT       NUMBER        ,
    CONTRIBUTION_STATUS_CODE       VARCHAR2(120)     NOT NULL,
    CLOSE_REASON_CODE              VARCHAR2(120) ,
    CLOSE_DATE                     DATE          ,
    CLOSE_TYPE_CODE                VARCHAR2(120) ,
    REFUND_AMOUNT                  NUMBER        ,
    AGREEMENT_DEFAULT_CHARGE       NUMBER        ,
    TRANSFER_TO_CONTRIBUTION_ID    NUMBER(18, 0) ,
    OWNERSHIP_PERCENTAGE_ID        NUMBER(18, 0) ,
    PREFERRED_CURRENCY_CODE        VARCHAR2(60)  ,
    FOREIGN_CONTRIBUTION_AMOUNT    NUMBER        ,
    GROSS_CONTRIBUTION_AMOUNT      NUMBER        ,
    PARTNER_ACCOUNT_CCID           NUMBER(18, 0) ,
    AUTOMATIC_CONTRIBUTION_FLAG    VARCHAR2(4)       NOT NULL,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CONTRIBUTION_REQUEST_ID        NUMBER(18, 0) ,
    ACCOUNT_SET_ID                 NUMBER(18, 0) ,
    PROJECT_SET_ID                 NUMBER(18, 0) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                VARCHAR2(600) ,
    ATTRIBUTE_CHAR10               VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    CONTRIBUTION_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    JOINT_VENTURE_ID               NUMBER(18, 0)     NOT NULL,
    STAKEHOLDER_ID                 NUMBER(18, 0)     NOT NULL,
    START_DATE                     DATE              NOT NULL,
    CONTRIBUTION_AMOUNT            NUMBER        ,
    CONTRIBUTION_OPEN_AMOUNT       NUMBER        ,
    CONTRIBUTION_STATUS_CODE       VARCHAR2(120)     NOT NULL,
    CLOSE_REASON_CODE              VARCHAR2(120) ,
    CLOSE_DATE                     DATE          ,
    CLOSE_TYPE_CODE                VARCHAR2(120) ,
    REFUND_AMOUNT                  NUMBER        ,
    AGREEMENT_DEFAULT_CHARGE       NUMBER        ,
    TRANSFER_TO_CONTRIBUTION_ID    NUMBER(18, 0) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                VARCHAR2(600) ,
    ATTRIBUTE_CHAR10               VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    OWNERSHIP_PERCENTAGE_ID        NUMBER(18, 0) ,
    PREFERRED_CURRENCY_CODE        VARCHAR2(60)  ,
    FOREIGN_CONTRIBUTION_AMOUNT    NUMBER        ,
    GROSS_CONTRIBUTION_AMOUNT      NUMBER        ,
    PARTNER_ACCOUNT_CCID           NUMBER(18, 0) ,
    AUTOMATIC_CONTRIBUTION_FLAG    VARCHAR2(4)       NOT NULL,
    CONTRIBUTION_REQUEST_ID        NUMBER(18, 0) ,
    SEQUENCE_NUMBER                NUMBER(3, 0)      NOT NULL,
    ACCOUNT_SET_ID                 NUMBER(18, 0) ,
    PROJECT_SET_ID                 NUMBER(18, 0) ,
    CONSTRAINT pk_jv_contributions_b PRIMARY KEY (CONTRIBUTION_ID, CONTRIBUTION_ID)
);
